import { AutoMap } from '@automapper/classes';
import { IsInt } from 'class-validator';

export class AddressCreation {
  @IsInt()
  @AutoMap()
  position: number;

  @AutoMap()
  lon: number;

  @AutoMap()
  lat: number;

  @AutoMap()
  name?: string;

  @AutoMap()
  houseNumber?: string;

  @AutoMap()
  street?: string;

  @AutoMap()
  locality: string;

  @AutoMap()
  postalCode: string;

  @AutoMap()
  country: string;
}
