import { mappingKeyToFrequency } from '../../domain/dtos/utils/frequency.mapping';
import { Frequency } from '../../domain/types/frequency.enum';

describe('frequency mapping function ', () => {
  it('should return punctual', () => {
    expect(mappingKeyToFrequency(1)).toBe(Frequency[0]);
  });
  it('should return recurent', () => {
    expect(mappingKeyToFrequency(2)).toBe(Frequency[1]);
  });
  it('should return undefined', () => {
    expect(mappingKeyToFrequency(0)).toBeUndefined();
    expect(mappingKeyToFrequency(3)).toBeUndefined();
  });
});
